<ion-header>
    <ion-navbar color="primary">
            <ion-buttons left>
                    <button ion-button icon-only (click)="close()">
                        <ion-icon name="arrow-back"></ion-icon>
                    </button>
                </ion-buttons>
        <ion-title>Search Customers</ion-title>
    </ion-navbar>
    <ion-toolbar>
        <ion-searchbar (ionInput)="filter($event)"></ion-searchbar>
    </ion-toolbar>
</ion-header>
      
<ion-content>
    <ion-list>
        <button ion-item detail-push *ngFor="let customer of results" (click)="select(customer)">
            <h2>{{customer.name}}</h2>            
            <p>{{customer.address}}</p>
            <div class="item-note" item-end>
                <ion-icon name="ios-arrow-forward"></ion-icon>
            </div>
        </button>
    </ion-list>
</ion-content>